cifti::MultiDimArray< T > Class Template Reference

## Public Member Functions

const std::vector< int64_t > & | getDimensions () const
template<typename I>
void | resize (const std::vector< I > &dims)
template<typename I>
T & | at (const std::vector< I > &pos)
template<typename I>
const T & | at (const std::vector< I > &pos) const
template<typename I>
T * | get (const int &fullDims, const std::vector< I > &indexSelect)
template<typename I>
const T * | get (const int &fullDims, const std::vector< I > &indexSelect) const

The documentation for this class was generated from the following file:

- MultiDimArray.h